Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions
QwtTextLabel Class Reference

`#include <qwt_text_label.h>`

Inheritance diagram for QwtTextLabel:
[legend]

List of all members.

## Public Slots
void | clear ()
void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
virtual void | setText (const QwtText &)

## Public Member Functions
| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
virtual int | heightForWidth (int) const
int | indent () const
int | margin () const
virtual QSize | minimumSizeHint () const
void | setIndent (int)
void | setMargin (int)
virtual QSize | sizeHint () const
const QwtText & | text () const
QRect | textRect () const

## Protected Member Functions
virtual void | drawContents (QPainter *)
virtual void | drawText (QPainter *, const QRect &)
virtual void | paintEvent (QPaintEvent *e)

## Detailed Description

A Widget which displays a QwtText.

## Constructor & Destructor Documentation

QwtTextLabel::QwtTextLabel | ( | QWidget * | parent = `NULL` | ) |
| explicit

Constructs an empty label.

Parameters:

  parent | Parent widget

QwtTextLabel::QwtTextLabel | ( | const QwtText & | text,
|  | QWidget * | parent = `NULL`
| ) |  |
| explicit

Constructs a label that displays the text, text

Parameters:

  parent | Parent widget
  text | Text

## Member Function Documentation

int QwtTextLabel::heightForWidth | ( | int | width | ) | const
| virtual

Returns the preferred height for this widget, given the width.

Parameters:

  width | Width

void QwtTextLabel::paintEvent | ( | QPaintEvent * | event | ) |
| protected virtual

Qt paint event

Parameters:

  event | Paint event

Reimplemented in QwtLegendItem.

void QwtTextLabel::setIndent | ( | int | indent | ) |

Set label's text indent in pixels

Parameters:

  indent | Indentation in pixels

void QwtTextLabel::setMargin | ( | int | margin | ) |

Set label's margin in pixels

Parameters:

  margin | Margin in pixels

void QwtTextLabel::setText | ( | const QString & | text,
|  | QwtText::TextFormat | textFormat = `QwtText::AutoText`
| ) |  |
| slot

Change the label's text, keeping all other QwtText attributes

Parameters:

  text | New text
  textFormat | Format of text

See also:
  QwtText

void QwtTextLabel::setText | ( | const QwtText & | text | ) |
| virtual slot

Change the label's text

Parameters:

  text | New text

Reimplemented in QwtLegendItem.

QRect QwtTextLabel::textRect | ( |  | ) | const

Calculate the rect for the text in widget coordinates

Returns:
  Text rect